Bug 602399 - ricci does not have a man page
ricci does not have a man page
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ricci (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Feist
Cluster QE
:
Depends On: 602362 602459
Blocks: 602398
  Show dependency treegraph
 
Reported: 2010-06-09 15:10 EDT by Perry Myers
Modified: 2016-04-26 10:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: ricci-0.16.2-21.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 602362
Environment:
Last Closed: 2011-05-19 10:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2010-06-09 15:10:00 EDT
+++ This bug was initially created as a clone of Bug #602362 +++

Description of problem:
ricci and luci_admin don't have manpages.
what's even worse - ricci does not provide any useful help when run with "help" flags.

Version-Release number of selected component (if applicable):
ricci-0.12.2-12.el5
luci-0.12.2-12.el5


Additional info:

[root@a3 ~]# man ricci
No manual entry for ricci
[root@a3 ~]# man luci_admin
No manual entry for luci_admin
[root@a3 ~]# ricci --help
ricci: invalid option -- -
ricci: invalid option -- h
ricci: invalid option -- e
ricci: invalid option -- l
ricci: option requires an argument -- p
exception: ServerSocket(port=11111): bind() failed: Address already in use
[root@a3 ~]# ricci -?
ricci: invalid option -- ?
exception: ServerSocket(port=11111): bind() failed: Address already in use
[root@a3 ~]# ricci -h
ricci: invalid option -- h
exception: ServerSocket(port=11111): bind() failed: Address already in use
Comment 1 RHEL Product and Program Management 2010-06-09 15:12:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Chris Feist 2010-06-16 13:15:57 EDT
Ricci in RHEL6 does provide useful help with the '-h' option, but it is a command that individual users should not be running and which has never had a man page.  We can add a man page, but giving current time requirements it probably makes sense to bump this to 6.1.
Comment 7 Chris Feist 2011-01-04 15:17:22 EST
Test output

[root@ask-03 ~]# rpm -q ricci
ricci-0.16.2-21.el6.x86_64
[root@ask-03 ~]# man -k ricci
ricci                (8)  - cluster management and configuration daemon
Comment 10 errata-xmlrpc 2011-05-19 10:17:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0749.html

Note You need to log in before you can comment on or make changes to this bug.